<?php
error_reporting(0);

class core
{
	private $_LICENSE = FCPATH . "config/system/private/license.ini";
	private $_CONFIG = FCPATH . "config/system/private/setting.json";
	private $license;

	public function __construct()
	{
		if (!is_file($this->_LICENSE)) {
			header("location: install.php");
			exit();
		}

		$_ini_file = parse_ini_file($this->_LICENSE);
		$this->license = new license($_ini_file);

		if (!$this->license->validate()['status']) {
			return $this->license->validate()['message'];
		}
	}
}
